Bug 246566 - Up2date man page specifies wrong syntax for --installall
Up2date man page specifies wrong syntax for --installall
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 00:57 EDT by Wade Mealing
Modified: 2010-10-22 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0815
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:34:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Correct syntax for command. (237 bytes, text/x-patch)
2007-07-03 01:03 EDT, Wade Mealing
no flags Details

  None (edit)
Description Wade Mealing 2007-07-03 00:57:02 EDT
Description of problem:

Up2date man page specifies wrong syntax for --isntallall.  Patch attached to fix it

Version-Release number of selected component (if applicable):
up2date-4.5.5-6.el4

How reproducible:
Every time

Steps to Reproduce:
1. Read man page, note syntax for installall ( --installall --channel "channelname"
2. Try command
3. Wait.
  
Actual results:

# up2date --installall --channel="rhel-x86_64-as-4"
No such allowed channel:  --channel=rhel-x86_64-as-4


Expected results:

The channel to install.

Additional info:

The man page for up2date is incorrect, patch to fix problem soon to be attached.
Comment 1 Wade Mealing 2007-07-03 01:03:27 EDT
Created attachment 158403 [details]
Correct syntax for command.
Comment 2 RHEL Product and Program Management 2007-07-03 02:24:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Pradeep Kilambi 2007-07-30 15:40:12 EDT
fixed
Committed revision 118713.
Comment 7 Michal Nowak 2007-08-20 11:54:33 EDT
QA: This bug is verified on all archs now.
Comment 8 Stephanie Glass 2007-09-07 15:07:20 EDT
IBM believes that this failed QA on RHEL 4.6 Snap1, did something get forgoten 
in that release?

Stephanie Glass, IBM 
Comment 9 Issue Tracker 2007-09-07 15:41:20 EDT
Hello IBM,
It appears this fix was not included with RHEL 4.6 Snap1. It should be
included with the next snap. The version that includes this is 4.6.2-6 and
above.

Thank You
Joe Kachuck


This event sent from IssueTracker by jkachuck 
 issue 121571
Comment 11 Pradeep Kilambi 2007-09-18 11:54:13 EDT
(In reply to comment #10)

If you're subscribed to beta channels for 4.6, it should the latest up2date beta
package up2date-4.6.2-7.el4*.
Comment 16 errata-xmlrpc 2007-11-15 11:34:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0815.html

Note You need to log in before you can comment on or make changes to this bug.